<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("p" . "e" . "r" . "m" . "s" => base64_decode("cGVybX" . "M="), "_61a5ceb347019e3711" . "6d4d2907163b82" => base64_decode("bWF0Y2" . "hfYWxs"), "_df945ac2fbdd1576202fb4" . "8096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX" . "2xpc3Q="), "_c61345ccedc39c19774277662" . "75e2da6" => base64_decode("aW1hZ2" . "VfZ2Fs" . "bGVyeQ" . "=="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_df945ac2fbdd1576202fb48096eb43f" . "9"]}->GetOne($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c61345ccedc39c1977427766275e2da" . "6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["pe" . "rm" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_61a5ceb347019e37116d4d29071" . "63b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}